## GdaDataAccessWrapper GdaDataAccessWrapper — Offers a random access on top of a cursor-only access data model |

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    struct              GdaDataAccessWrapper;
    struct              GdaDataAccessWrapperClass;
                        GdaDataAccessWrapperPrivate;
    GdaDataModel *      gda_data_access_wrapper_new         (GdaDataModel *model);

## Object Hierarchy

      GObject
       +----GdaDataAccessWrapper

## Implemented Interfaces

GdaDataAccessWrapper implements GdaDataModel.

## Properties

      "model"                    GdaDataModel*         : Read / Write / Construct Only

## Description

The GdaDataAccessWrapper object simply wraps around another GdaDataModel data model object and allows data to be accessed in a random way while remaining memory efficient as much as possible.

## Details

### struct GdaDataAccessWrapper

    struct GdaDataAccessWrapper;

### struct GdaDataAccessWrapperClass

    struct GdaDataAccessWrapperClass {
    	GObjectClass                   parent_class;
    };

### GdaDataAccessWrapperPrivate

    typedef struct _GdaDataAccessWrapperPrivate GdaDataAccessWrapperPrivate;

### gda_data_access_wrapper_new ()

    GdaDataModel *      gda_data_access_wrapper_new         (GdaDataModel *model);

Creates a new GdaDataModel object which buffers the rows of `model`. This object is useful only if `model` can only be accessed using cursor based method.

`model` : | a GdaDataModel
Returns : | a pointer to the newly created GdaDataModel. [transfer full]

## Property Details

### The `"model"` property

      "model"                    GdaDataModel*         : Read / Write / Construct Only

Data model being wrapped.

## See Also

GdaDataModel